Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class CardIndividualTransaction1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.CardIndividualTransaction1

public class CardIndividualTransaction1 extends Object

Java class for CardIndividualTransaction1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardIndividualTransaction1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AddtlSvc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CardPaymentServiceType2Code" minOccurs="0"/>
             <element name="TxCtgy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ExternalCardTransactionCategory1Code" minOccurs="0"/>
             <element name="SaleRcncltnId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="SaleRefNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="SeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="TxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}TransactionIdentifier1" minOccurs="0"/>
             <element name="Pdct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Product2" minOccurs="0"/>
             <element name="VldtnDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ISODate" minOccurs="0"/>
             <element name="VldtnSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CardPaymentServiceType2Code`
`addtlSvc`
`protected Product2`
`pdct`
`protected String`
`saleRcncltnId`
`protected String`
`saleRefNb`
`protected String`
`seqNb`
`protected String`
`txCtgy`
`protected TransactionIdentifier1`
`txId`
`protected XMLGregorianCalendar`
`vldtnDt`
`protected String`
`vldtnSeqNb`

## Constructor Summary

Constructors
Constructor
Description
`CardIndividualTransaction1()`

## Method Summary

Modifier and Type
Method
Description
`CardPaymentServiceType2Code`
`getAddtlSvc()`
Gets the value of the addtlSvc property.
`Product2`
`getPdct()`
Gets the value of the pdct property.
`String`
`getSaleRcncltnId()`
Gets the value of the saleRcncltnId property.
`String`
`getSaleRefNb()`
Gets the value of the saleRefNb property.
`String`
`getSeqNb()`
Gets the value of the seqNb property.
`String`
`getTxCtgy()`
Gets the value of the txCtgy property.
`TransactionIdentifier1`
`getTxId()`
Gets the value of the txId property.
`XMLGregorianCalendar`
`getVldtnDt()`
Gets the value of the vldtnDt property.
`String`
`getVldtnSeqNb()`
Gets the value of the vldtnSeqNb property.
`void`
`setAddtlSvc(CardPaymentServiceType2Code value)`
Sets the value of the addtlSvc property.
`void`
`setPdct(Product2 value)`
Sets the value of the pdct property.
`void`
`setSaleRcncltnId(String value)`
Sets the value of the saleRcncltnId property.
`void`
`setSaleRefNb(String value)`
Sets the value of the saleRefNb property.
`void`
`setSeqNb(String value)`
Sets the value of the seqNb property.
`void`
`setTxCtgy(String value)`
Sets the value of the txCtgy property.
`void`
`setTxId(TransactionIdentifier1 value)`
Sets the value of the txId property.
`void`
`setVldtnDt(XMLGregorianCalendar value)`
Sets the value of the vldtnDt property.
`void`
`setVldtnSeqNb(String value)`
Sets the value of the vldtnSeqNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### addtlSvc

protected CardPaymentServiceType2Code addtlSvc

### txCtgy

protected String txCtgy

### saleRcncltnId

protected String saleRcncltnId

### saleRefNb

protected String saleRefNb

### seqNb

protected String seqNb

### txId

protected TransactionIdentifier1 txId

### pdct

protected Product2 pdct

### vldtnDt

protected XMLGregorianCalendar vldtnDt

### vldtnSeqNb

protected String vldtnSeqNb

## Constructor Details

### CardIndividualTransaction1

public CardIndividualTransaction1()

## Method Details

### getAddtlSvc

public CardPaymentServiceType2Code getAddtlSvc()
Gets the value of the addtlSvc property.

Returns:
  possible object is `CardPaymentServiceType2Code`

### setAddtlSvc

public void setAddtlSvc(CardPaymentServiceType2Code value)
Sets the value of the addtlSvc property.

Parameters:
  `value` - allowed object is `CardPaymentServiceType2Code`

### getTxCtgy

public String getTxCtgy()
Gets the value of the txCtgy property.

Returns:
  possible object is `String`

### setTxCtgy

public void setTxCtgy(String value)
Sets the value of the txCtgy property.

Parameters:
  `value` - allowed object is `String`

### getSaleRcncltnId

public String getSaleRcncltnId()
Gets the value of the saleRcncltnId property.

Returns:
  possible object is `String`

### setSaleRcncltnId

public void setSaleRcncltnId(String value)
Sets the value of the saleRcncltnId property.

Parameters:
  `value` - allowed object is `String`

### getSaleRefNb

public String getSaleRefNb()
Gets the value of the saleRefNb property.

Returns:
  possible object is `String`

### setSaleRefNb

public void setSaleRefNb(String value)
Sets the value of the saleRefNb property.

Parameters:
  `value` - allowed object is `String`

### getSeqNb

public String getSeqNb()
Gets the value of the seqNb property.

Returns:
  possible object is `String`

### setSeqNb

public void setSeqNb(String value)
Sets the value of the seqNb property.

Parameters:
  `value` - allowed object is `String`

### getTxId

public TransactionIdentifier1 getTxId()
Gets the value of the txId property.

Returns:
  possible object is `TransactionIdentifier1`

### setTxId

public void setTxId(TransactionIdentifier1 value)
Sets the value of the txId property.

Parameters:
  `value` - allowed object is `TransactionIdentifier1`

### getPdct

public Product2 getPdct()
Gets the value of the pdct property.

Returns:
  possible object is `Product2`

### setPdct

public void setPdct(Product2 value)
Sets the value of the pdct property.

Parameters:
  `value` - allowed object is `Product2`

### getVldtnDt

public XMLGregorianCalendar getVldtnDt()
Gets the value of the vldtnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setVldtnDt

public void setVldtnDt(XMLGregorianCalendar value)
Sets the value of the vldtnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getVldtnSeqNb

public String getVldtnSeqNb()
Gets the value of the vldtnSeqNb property.

Returns:
  possible object is `String`

### setVldtnSeqNb

public void setVldtnSeqNb(String value)
Sets the value of the vldtnSeqNb property.

Parameters:
  `value` - allowed object is `String`